<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="icon" type="image/svg+xml" href="/vite.svg" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title></title>
  </head>
  <body>
    <div id="app">
      <style>
        @keyframes pulse-alt {
          from {
            transform: scale3d(1, 1, 1);
          }
          50% {
            transform: scale3d(1.05, 1.05, 1.05);
          }
          to {
            transform: scale3d(1, 1, 1);
          }
        }
        :root {
          color-scheme: light dark;
        }
        * {
          padding: 0;
          margin: 0;
        }
        #app {
          position: fixed;
          z-index: 1;
          inset: 0;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          overflow: hidden;
          user-select: none;
        }
        #app h2,
        #app p {
          padding: 0.25rem;
          text-align: center;
        }
        #app h2 {
          font-size: 1.5rem;
          line-height: 2rem;
          font-weight: 800;
        }
        #app img {
          pointer-events: none;
          width: 100px;
          animation: pulse-alt 1s ease-in-out infinite;
        }
      </style>
      <img src="/vite.svg" alt="logo" />
      <h2>系統載入中...</h2>
      <p>這可能需要幾秒鐘，請不要關閉此頁面。</p>
      <script>
        const checkFrom = Date.now()
        checkReload()

        function checkReload() {
          // wait up to 5 minutes
          const limitedTime = 5 * 60 * 1000

          if (!document.querySelector("#app")) return

          if (Date.now() - checkFrom >= limitedTime) window.location.reload()
          else setTimeout(checkReload, 500)
        }
      </script>
    </div>
    <script type="module" src="/src/entry.ts"></script>
  </body>
</html>
